﻿using System.Windows;
using Telerik.Windows.Controls.ChartView;
using wpf_ChartView_694619.ViewModels;

namespace wpf_ChartView_694619
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.SetChartSeries("Percent", "Category");
        }

        public void SetChartSeries(string valueBinding, string category)
        {
            this.chart1.Series.Clear();

            DoughnutSeries series1 = new DoughnutSeries();
            series1.ItemsSource = (this.DataContext as MainViewModel).PieItems;

            var binding = new PropertyNameDataPointBinding(category);
            series1.ValueBinding = new PropertyNameDataPointBinding(valueBinding);

            var label = new ChartSeriesLabelDefinition()
            {
                Margin = new Thickness(-10, -10, -10, -10),
                Template = this.Resources["PieChartPointTemplate"] as DataTemplate
            };

            var smartlabelStrategy = new PieChartSmartLabelsStrategy();
            smartlabelStrategy.DisplayMode = PieChartLabelsDisplayMode.SpiderAlignedOutwards;
            this.chart1.SmartLabelsStrategy = smartlabelStrategy;

            series1.LabelDefinitions.Add(label);
            series1.LabelConnectorsSettings = new ChartSeriesLabelConnectorsSettings();

            this.chart1.Series.Add(series1);
        }
    }
}
